Subject: Yet more group problems, this time with autogroup

From: ge@asterix (George Entenman)
Date: Mon, 24 Jul 1995 17:19:09 -0400

Well, since everyone is enjoying group commands in
wu-ftpd, I thought I'd add my woes to the chorus.

Disclaimer: I *have* read both the man pages and the relevant
section of the book by Liu, et. al. (section 5.4.4).  ;-)

I want to set up a class of anonymous users and give
them permission to cd into certain directories and
download certain files.

1. With that in mind, I created a group, ftpwec, by adding a
statement to /etc/group (and, just to be sure, to
~ftp/etc/group):

	ftpwec:*:3200:ge,key

2. The autogroup commands apparently give certain group
privileges to certain classes of anonymous users.  So I
created the class "wec" in the ftpaccess file:

	class   wec     anonymous *.mcnc.org,*.ncsc.org

As I understand it, this command specifies that
anonymous ftp users from the mcnc.org and ncsc.org
domains will be assigned to the wec class.

3. The last step is to give ftpwec group privileges to
the wec class of anonymous users.  According to the book
and the man pages, this is done with the autogroup
command in ftpaccess:

	autogroup ftpwec  wec

After doing all that, I should be able to ftp to my
machine as anonymous and be automatically assigned to
the ftpwec group, provided that I log in from a machine
in the right domain (I am using asterix.ncsc.org).

However, when I do an anonymous ftp to this machine,
it doesn't allow me to retrieve files that are readable by ftpwec group.
This is illustrated by the following (slightly edited) script:

	Script started on Mon Jul 24 16:42:36 1995
	ge@asterix#109> ftp ftp.mcnc.org
	Connected to ftptest.mcnc.org.
	220-
	220-
	220-Welcome to the MCNC archive.
	220-
	<stuff deleted...>
	220-
	220-
	220 ftp FTP server (Version wu-2.4(2) Thu Mar 30 14:11:31 EST 1995) ready.
	Name (ftp.mcnc.org:ge): anonymous
	331 Guest login ok, send your complete e-mail address as password.
	Password:
	230 Guest login ok, access restrictions apply.
	ftp> cd pub/wec/home
	250 CWD command successful.
	ftp> ls -lg
	200 PORT command successful.
	150 Opening ASCII mode data connection for /bin/ls.
	total 2618
	-rw-r-----  1 wec      ftpwec     724992 Apr 28 16:08 515Q2Q4.gds2
	-rw-r-----  1 wec      ftpwec     217088 Apr 10 15:51 788R515_apr.gds2
	-rw-r-x---  1 wec      ftpwec     241792 Mar 10  1994 Keystone.3.10.bin
	-rw-r-----  1 wec      ftpwec      40960 Dec 15  1994 chip.gds
	-rw-r-----  1 wec      ftpwec      57344 Dec 15  1994 daisy.gds
	-rw-r-----  1 wec      ftpwec      22528 Jan 17  1995 hdmp2.gds
	-rw-r-----  1 wec      ftpwec    1230848 Jun 30  1994 mcnc3.gds
	-rw-r-----  1 wec      ftpwec      94208 Feb 24 16:02 mcnc788r519.gds
	226 Transfer complete.
	remote: -lg
	555 bytes received in 0.02 seconds (27 Kbytes/s)
	ftp> get hdmp2.gds
	200 PORT command successful.
	550 hdmp2.gds: Permission denied.
	ftp> bye
	221 Goodbye.
	ge@asterix#110> touch hdmp2.gds
	ge@asterix#111>

As you can see, members of the group ftpwec should be able to
read the file hdmp2.gds.  But anonymous doesn't have permission
to do that in spite of my trying to set it up that way.

If anyone can help me with this problem, I would be very grateful.

By the way, the owner of the files, wec, can ftp in as a "real"
user whose home directory is ~ftp/wec/home so that she can
upload files directly onto the ftp server.  This is done with
the guestgroup command in /etc/ftpaccess.  So *one* of these
group commands works as advertised!  ;-)

George Entenman
[email-masked]
MCNC - Information Technologies Division

P.S. I'll leave my many *other* group questions for the next
letter!